### Class

# Camel FilterOutputStream

#### Description

    class Camel.FilterOutputStream : Gio.FilterOutputStream
    {
      CamelFilterOutputStreamPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- GFilterOutputStream
- GOutputStream
- GObject

#### Constructors

###### camel_filter_output_stream_new

Creates a new filtered output stream for the `base_stream`.

since: 3.12

#### Instance methods

###### camel_filter_output_stream_get_filter

Gets the `CamelMimeFilter` that is used by `filter_stream`.

since: 3.12

##### Methods inherited from GFilterOutputStream (3)

###### g_filter_output_stream_get_base_stream

Gets the base stream for the filter stream.

###### g_filter_output_stream_get_close_base_stream

Returns whether the base stream will be closed when `stream` is closed.

###### g_filter_output_stream_set_close_base_stream

Sets whether the base stream will be closed when `stream` is closed.

##### Methods inherited from GOutputStream (31)

Please see GOutputStream for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Camel.FilterOutputStream:filter

The MIME filter object.

##### Properties inherited from GFilterOutputStream (2)

###### Gio.FilterOutputStream:base-stream

The underlying base stream on which the I/O ops will be done.

###### Gio.FilterOutputStream:close-base-stream

Whether the base stream should be closed when the filter stream is closed.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelFilterOutputStreamClass {
      GFilterOutputStreamClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: GFilterOutputStreamClass`

  No description available.

`reserved: gpointer`

  No description available.